---
name: Bug report
about: Create a report to help us improve

---

**Please fill out the issue checklist below and provide ALL the requested information.**

- [ ] I reviewed open and closed github issues that may be related to my problem.
- [ ] I tried updating to the latest version of the CF CLI to see if it fixed my problem.
- [ ] I attempted to run the command with `CF_TRACE=1` to help debug the issue.
- [ ] I am reporting a bug that others will be able to reproduce.

**Describe the bug and the command you saw an issue with**
Provide details on what you were trying to do (and why).

**What happened**
A clear and concise description of what happen.

**Expected behavior**
A clear and concise description of what you expected to happen.

**Exact Steps To Reproduce**
Steps to reproduce the behavior; include the exact CLI commands and verbose output:
1. Run `cf ...`
2. Bind a service `cf bind-service`
3. See error

**Provide more context**
- platform and shell details ( e.g. Mac OS X 10.11 iTerm)
- version of the CLI you are running
- version of the CC API Release you are on

**Notes regarding V6 and V7 CLI support:** 
- V6:
  - Minimum supported version of CF Deployment: v7.0.0 (CAPI Release: 1.74.0 (APIs 2.128.0 and 3.63.0))
  - Maximum supported version of CF Deployment: v13.4.0 (CAPI Release: 1.94.0 (APIs 2.149.0 and 3.84.0))
- V7:
  - Minimum supported version of CF Deployment: v13.5.0 (CAPI Release: 1.95.0 (APIs 2.150.0 and 3.85.0))

